ランタイム: Mix::Scene::ICamera::VISIBILITY_SETTINGS Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Mix::Scene::ICamera::VISIBILITY_SETTINGS Struct Reference

視界設定構造体 More...

`#include <ICamera.h>`

## Public Attributes

Float32 | loLimitDistance
| ローカルライトによるライティングの限界距離( 0.0f〜正の無限大 ) More...
Float32 | loFalloffAmount
| ローカルライトによるライティングが限界距離に達する前のフォールオフに要する距離( 0.0f〜正の無限大 ) More...
Float32 | plLimitDistance
| プランターの描画限界距離( 0.0f〜正の無限大 ) More...
Float32 | plFalloffAmount
| プランターの描画限界距離に達する前のフォールオフに要する距離( 0.0f〜正の無限大 ) More...
Float32 | plFalloffThreshold
| プランターのフォールオフ距離の敷居( 0.0f〜1.0f ) More...
Float32 | paLimitDistance
| パーティクルの描画限界距離( 0.0f〜正の無限大 ) More...
Float32 | paFalloffAmount
| パーティクルの描画限界距離に達する前のフォールオフを開始する範囲の大きさ( 0.0f〜paLimitDistance ) ※現在機能しません More...
Float32 | paFalloffDuration
| パーティクルのフォールオフに要する時間( 秒単位 ) ※現在機能しません More...
Float32 | amLimitDistance
| アクターモデルの描画限界距離( 0.0f〜正の無限大 ) More...
Float32 | amFalloffAmount
| アクターモデルの描画限界距離に達する前のフォールオフを開始する範囲の大きさ( 0.0f〜amLimitDistance ) ※現在機能しません More...
Float32 | amFalloffDuration
| アクターモデルのフォールオフに要する時間( 秒単位 ) ※現在機能しません More...
Float32 | sdwLimitDistance
| 影の描画限界距離( 0.0f〜正の無限大 ) More...
Float32 | sdwFalloffAmount
| 影の描画限界距離に達する前のフォールオフに要する距離( 0.0f〜正の無限大 ) More...

## Detailed Description

視界設定構造体

## Member Data Documentation

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::loLimitDistance

ローカルライトによるライティングの限界距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::loFalloffAmount

ローカルライトによるライティングが限界距離に達する前のフォールオフに要する距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::plLimitDistance

プランターの描画限界距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::plFalloffAmount

プランターの描画限界距離に達する前のフォールオフに要する距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::plFalloffThreshold

プランターのフォールオフ距離の敷居( 0.0f〜1.0f )

Note
  プランターはフォールオフを開始する距離( plLimitDistance - plFalloffDistance )を超えた際に、
  ( plLimitDistance - plFalloffDistance * plFalloffThreshold )を敷居とし、最大２段階に分けてポリゴン数を減らしていきます。

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::paLimitDistance

パーティクルの描画限界距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::paFalloffAmount

パーティクルの描画限界距離に達する前のフォールオフを開始する範囲の大きさ( 0.0f〜paLimitDistance ) ※現在機能しません

Note
  範囲 = ( paLimitDistance - paFalloffAmount ) 〜 paLimitDistance

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::paFalloffDuration

パーティクルのフォールオフに要する時間( 秒単位 ) ※現在機能しません

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::amLimitDistance

アクターモデルの描画限界距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::amFalloffAmount

アクターモデルの描画限界距離に達する前のフォールオフを開始する範囲の大きさ( 0.0f〜amLimitDistance ) ※現在機能しません

Note
  範囲 = ( amLimitDistance - amFalloffAmount ) 〜 amLimitDistance

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::amFalloffDuration

アクターモデルのフォールオフに要する時間( 秒単位 ) ※現在機能しません

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::sdwLimitDistance

影の描画限界距離( 0.0f〜正の無限大 )

Float32 Mix::Scene::ICamera::VISIBILITY_SETTINGS::sdwFalloffAmount

影の描画限界距離に達する前のフォールオフに要する距離( 0.0f〜正の無限大 )

The documentation for this struct was generated from the following file:

- Mix/Scene/ICamera.h